# Uses of Class
java.rmi.server.ObjID

Packages that use ObjID
Package
Description
java.rmi.dgc
Provides classes and interface for RMI distributed garbage-collection (DGC).
java.rmi.server
Provides classes and interfaces for supporting the server side of RMI.

## Uses of ObjID in java.rmi.dgc

Methods in java.rmi.dgc with parameters of type ObjID
Modifier and Type
Method
Description
`void`
DGC.`clean(ObjID[] ids, long sequenceNum, VMID vmid, boolean strong)`
The clean call removes the 'vmid' from the reference list of each remote object indicated in 'id's.
`Lease`
DGC.`dirty(ObjID[] ids, long sequenceNum, Lease lease)`
The dirty call requests leases for the remote object references associated with the object identifiers contained in the array 'ids'.

## Uses of ObjID in java.rmi.server

Methods in java.rmi.server that return ObjID
Modifier and Type
Method
Description
`static ObjID`
ObjID.`read(ObjectInput in)`
Constructs and returns a new `ObjID` instance by unmarshalling a binary representation from an `ObjectInput` instance.